      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQCFV                                      **
      **                                                              **
      **  DESCRIPTION:    Constants for PCF and Events                **
      **                                                              **
      ******************************************************************
      **  <START_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-B41                                                    **
      **  (C) Copyright IBM Corp. 1995, 2002 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <END_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the named constants      **
      **                  for PCF and event messages.                 **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************
 
      ******************************************************************
      **  Values Related to MQCFH Structure                           **
      ******************************************************************
 
      **   Structure Length
        10 MQCFH-STRUC-LENGTH PIC S9(9) BINARY VALUE 36.
 
      **   Structure Version Number
        10 MQCFH-VERSION-1       PIC S9(9) BINARY VALUE 1.
        10 MQCFH-CURRENT-VERSION PIC S9(9) BINARY VALUE 1.
 
      **   Command Codes
        10 MQCMD-CHANGE-Q-MGR            PIC S9(9) BINARY VALUE 1.
        10 MQCMD-INQUIRE-Q-MGR           PIC S9(9) BINARY VALUE 2.
        10 MQCMD-CHANGE-PROCESS          PIC S9(9) BINARY VALUE 3.
        10 MQCMD-COPY-PROCESS            PIC S9(9) BINARY VALUE 4.
        10 MQCMD-CREATE-PROCESS          PIC S9(9) BINARY VALUE 5.
        10 MQCMD-DELETE-PROCESS          PIC S9(9) BINARY VALUE 6.
        10 MQCMD-INQUIRE-PROCESS         PIC S9(9) BINARY VALUE 7.
        10 MQCMD-CHANGE-Q                PIC S9(9) BINARY VALUE 8.
        10 MQCMD-CLEAR-Q                 PIC S9(9) BINARY VALUE 9.
        10 MQCMD-COPY-Q                  PIC S9(9) BINARY VALUE 10.
        10 MQCMD-CREATE-Q                PIC S9(9) BINARY VALUE 11.
        10 MQCMD-DELETE-Q                PIC S9(9) BINARY VALUE 12.
        10 MQCMD-INQUIRE-Q               PIC S9(9) BINARY VALUE 13.
        10 MQCMD-RESET-Q-STATS           PIC S9(9) BINARY VALUE 17.
        10 MQCMD-INQUIRE-Q-NAMES         PIC S9(9) BINARY VALUE 18.
        10 MQCMD-INQUIRE-PROCESS-NAMES   PIC S9(9) BINARY VALUE 19.
        10 MQCMD-INQUIRE-CHANNEL-NAMES   PIC S9(9) BINARY VALUE 20.
        10 MQCMD-CHANGE-CHANNEL          PIC S9(9) BINARY VALUE 21.
        10 MQCMD-COPY-CHANNEL            PIC S9(9) BINARY VALUE 22.
        10 MQCMD-CREATE-CHANNEL          PIC S9(9) BINARY VALUE 23.
        10 MQCMD-DELETE-CHANNEL          PIC S9(9) BINARY VALUE 24.
        10 MQCMD-INQUIRE-CHANNEL         PIC S9(9) BINARY VALUE 25.
        10 MQCMD-PING-CHANNEL            PIC S9(9) BINARY VALUE 26.
        10 MQCMD-RESET-CHANNEL           PIC S9(9) BINARY VALUE 27.
        10 MQCMD-START-CHANNEL           PIC S9(9) BINARY VALUE 28.
        10 MQCMD-STOP-CHANNEL            PIC S9(9) BINARY VALUE 29.
        10 MQCMD-START-CHANNEL-INIT      PIC S9(9) BINARY VALUE 30.
        10 MQCMD-START-CHANNEL-LISTENER  PIC S9(9) BINARY VALUE 31.
        10 MQCMD-CHANGE-NAMELIST         PIC S9(9) BINARY VALUE 32.
        10 MQCMD-COPY-NAMELIST           PIC S9(9) BINARY VALUE 33.
        10 MQCMD-CREATE-NAMELIST         PIC S9(9) BINARY VALUE 34.
        10 MQCMD-DELETE-NAMELIST         PIC S9(9) BINARY VALUE 35.
        10 MQCMD-INQUIRE-NAMELIST        PIC S9(9) BINARY VALUE 36.
        10 MQCMD-INQUIRE-NAMELIST-NAMES  PIC S9(9) BINARY VALUE 37.
        10 MQCMD-ESCAPE                  PIC S9(9) BINARY VALUE 38.
        10 MQCMD-RESOLVE-CHANNEL         PIC S9(9) BINARY VALUE 39.
        10 MQCMD-PING-Q-MGR              PIC S9(9) BINARY VALUE 40.
        10 MQCMD-INQUIRE-Q-STATUS        PIC S9(9) BINARY VALUE 41.
        10 MQCMD-INQUIRE-CHANNEL-STATUS  PIC S9(9) BINARY VALUE 42.
        10 MQCMD-CONFIG-EVENT            PIC S9(9) BINARY VALUE 43.
        10 MQCMD-Q-MGR-EVENT             PIC S9(9) BINARY VALUE 44.
        10 MQCMD-PERFM-EVENT             PIC S9(9) BINARY VALUE 45.
        10 MQCMD-CHANNEL-EVENT           PIC S9(9) BINARY VALUE 46.
        10 MQCMD-DELETE-PUBLICATION      PIC S9(9) BINARY VALUE 60.
        10 MQCMD-DEREGISTER-PUBLISHER    PIC S9(9) BINARY VALUE 61.
        10 MQCMD-DEREGISTER-SUBSCRIBER   PIC S9(9) BINARY VALUE 62.
        10 MQCMD-PUBLISH                 PIC S9(9) BINARY VALUE 63.
        10 MQCMD-REGISTER-PUBLISHER      PIC S9(9) BINARY VALUE 64.
        10 MQCMD-REGISTER-SUBSCRIBER     PIC S9(9) BINARY VALUE 65.
        10 MQCMD-REQUEST-UPDATE          PIC S9(9) BINARY VALUE 66.
        10 MQCMD-BROKER-INTERNAL         PIC S9(9) BINARY VALUE 67.
        10 MQCMD-INQUIRE-CLUSTER-Q-MGR   PIC S9(9) BINARY VALUE 70.
        10 MQCMD-RESUME-Q-MGR-CLUSTER    PIC S9(9) BINARY VALUE 71.
        10 MQCMD-SUSPEND-Q-MGR-CLUSTER   PIC S9(9) BINARY VALUE 72.
        10 MQCMD-REFRESH-CLUSTER         PIC S9(9) BINARY VALUE 73.
        10 MQCMD-RESET-CLUSTER           PIC S9(9) BINARY VALUE 74.
        10 MQCMD-REFRESH-SECURITY        PIC S9(9) BINARY VALUE 78.
        10 MQCMD-CHANGE-AUTH-INFO        PIC S9(9) BINARY VALUE 79.
        10 MQCMD-COPY-AUTH-INFO          PIC S9(9) BINARY VALUE 80.
        10 MQCMD-CREATE-AUTH-INFO        PIC S9(9) BINARY VALUE 81.
        10 MQCMD-DELETE-AUTH-INFO        PIC S9(9) BINARY VALUE 82.
        10 MQCMD-INQUIRE-AUTH-INFO       PIC S9(9) BINARY VALUE 83.
        10 MQCMD-INQUIRE-AUTH-INFO-NAMES PIC S9(9) BINARY VALUE 84.
        10 MQCMD-NONE                    PIC S9(9) BINARY VALUE 0.
 
      **   Control Options
        10 MQCFC-LAST     PIC S9(9) BINARY VALUE 1.
        10 MQCFC-NOT-LAST PIC S9(9) BINARY VALUE 0.
 
      **   Reason Codes
        10 MQRCCF-CFH-TYPE-ERROR          PIC S9(9) BINARY VALUE 3001.
        10 MQRCCF-CFH-LENGTH-ERROR        PIC S9(9) BINARY VALUE 3002.
        10 MQRCCF-CFH-VERSION-ERROR       PIC S9(9) BINARY VALUE 3003.
        10 MQRCCF-CFH-MSG-SEQ-NUMBER-ERR  PIC S9(9) BINARY VALUE 3004.
        10 MQRCCF-CFH-CONTROL-ERROR       PIC S9(9) BINARY VALUE 3005.
        10 MQRCCF-CFH-PARM-COUNT-ERROR    PIC S9(9) BINARY VALUE 3006.
        10 MQRCCF-CFH-COMMAND-ERROR       PIC S9(9) BINARY VALUE 3007.
        10 MQRCCF-COMMAND-FAILED          PIC S9(9) BINARY VALUE 3008.
        10 MQRCCF-CFIN-LENGTH-ERROR       PIC S9(9) BINARY VALUE 3009.
        10 MQRCCF-CFST-LENGTH-ERROR       PIC S9(9) BINARY VALUE 3010.
        10 MQRCCF-CFST-STRING-LENGTH-ERR  PIC S9(9) BINARY VALUE 3011.
        10 MQRCCF-FORCE-VALUE-ERROR       PIC S9(9) BINARY VALUE 3012.
        10 MQRCCF-STRUCTURE-TYPE-ERROR    PIC S9(9) BINARY VALUE 3013.
        10 MQRCCF-CFIN-PARM-ID-ERROR      PIC S9(9) BINARY VALUE 3014.
        10 MQRCCF-CFST-PARM-ID-ERROR      PIC S9(9) BINARY VALUE 3015.
        10 MQRCCF-MSG-LENGTH-ERROR        PIC S9(9) BINARY VALUE 3016.
        10 MQRCCF-CFIN-DUPLICATE-PARM     PIC S9(9) BINARY VALUE 3017.
        10 MQRCCF-CFST-DUPLICATE-PARM     PIC S9(9) BINARY VALUE 3018.
        10 MQRCCF-PARM-COUNT-TOO-SMALL    PIC S9(9) BINARY VALUE 3019.
        10 MQRCCF-PARM-COUNT-TOO-BIG      PIC S9(9) BINARY VALUE 3020.
        10 MQRCCF-Q-ALREADY-IN-CELL       PIC S9(9) BINARY VALUE 3021.
        10 MQRCCF-Q-TYPE-ERROR            PIC S9(9) BINARY VALUE 3022.
        10 MQRCCF-MD-FORMAT-ERROR         PIC S9(9) BINARY VALUE 3023.
        10 MQRCCF-CFSL-LENGTH-ERROR       PIC S9(9) BINARY VALUE 3024.
        10 MQRCCF-REPLACE-VALUE-ERROR     PIC S9(9) BINARY VALUE 3025.
        10 MQRCCF-CFIL-DUPLICATE-VALUE    PIC S9(9) BINARY VALUE 3026.
        10 MQRCCF-CFIL-COUNT-ERROR        PIC S9(9) BINARY VALUE 3027.
        10 MQRCCF-CFIL-LENGTH-ERROR       PIC S9(9) BINARY VALUE 3028.
        10 MQRCCF-QUIESCE-VALUE-ERROR     PIC S9(9) BINARY VALUE 3029.
        10 MQRCCF-MODE-VALUE-ERROR        PIC S9(9) BINARY VALUE 3029.
        10 MQRCCF-MSG-SEQ-NUMBER-ERROR    PIC S9(9) BINARY VALUE 3030.
        10 MQRCCF-PING-DATA-COUNT-ERROR   PIC S9(9) BINARY VALUE 3031.
        10 MQRCCF-PING-DATA-COMPARE-ERROR PIC S9(9) BINARY VALUE 3032.
        10 MQRCCF-CFSL-PARM-ID-ERROR      PIC S9(9) BINARY VALUE 3033.
        10 MQRCCF-CHANNEL-TYPE-ERROR      PIC S9(9) BINARY VALUE 3034.
        10 MQRCCF-PARM-SEQUENCE-ERROR     PIC S9(9) BINARY VALUE 3035.
        10 MQRCCF-XMIT-PROTOCOL-TYPE-ERR  PIC S9(9) BINARY VALUE 3036.
        10 MQRCCF-BATCH-SIZE-ERROR        PIC S9(9) BINARY VALUE 3037.
        10 MQRCCF-DISC-INT-ERROR          PIC S9(9) BINARY VALUE 3038.
        10 MQRCCF-SHORT-RETRY-ERROR       PIC S9(9) BINARY VALUE 3039.
        10 MQRCCF-SHORT-TIMER-ERROR       PIC S9(9) BINARY VALUE 3040.
        10 MQRCCF-LONG-RETRY-ERROR        PIC S9(9) BINARY VALUE 3041.
        10 MQRCCF-LONG-TIMER-ERROR        PIC S9(9) BINARY VALUE 3042.
        10 MQRCCF-SEQ-NUMBER-WRAP-ERROR   PIC S9(9) BINARY VALUE 3043.
        10 MQRCCF-MAX-MSG-LENGTH-ERROR    PIC S9(9) BINARY VALUE 3044.
        10 MQRCCF-PUT-AUTH-ERROR          PIC S9(9) BINARY VALUE 3045.
        10 MQRCCF-PURGE-VALUE-ERROR       PIC S9(9) BINARY VALUE 3046.
        10 MQRCCF-CFIL-PARM-ID-ERROR      PIC S9(9) BINARY VALUE 3047.
        10 MQRCCF-MSG-TRUNCATED           PIC S9(9) BINARY VALUE 3048.
        10 MQRCCF-CCSID-ERROR             PIC S9(9) BINARY VALUE 3049.
        10 MQRCCF-ENCODING-ERROR          PIC S9(9) BINARY VALUE 3050.
        10 MQRCCF-QUEUES-VALUE-ERROR      PIC S9(9) BINARY VALUE 3051.
        10 MQRCCF-DATA-CONV-VALUE-ERROR   PIC S9(9) BINARY VALUE 3052.
        10 MQRCCF-INDOUBT-VALUE-ERROR     PIC S9(9) BINARY VALUE 3053.
        10 MQRCCF-ESCAPE-TYPE-ERROR       PIC S9(9) BINARY VALUE 3054.
        10 MQRCCF-REPOS-VALUE-ERROR       PIC S9(9) BINARY VALUE 3055.
        10 MQRCCF-CHANNEL-TABLE-ERROR     PIC S9(9) BINARY VALUE 3062.
        10 MQRCCF-MCA-TYPE-ERROR          PIC S9(9) BINARY VALUE 3063.
        10 MQRCCF-CHL-INST-TYPE-ERROR     PIC S9(9) BINARY VALUE 3064.
        10 MQRCCF-CHL-STATUS-NOT-FOUND    PIC S9(9) BINARY VALUE 3065.
        10 MQRCCF-CFSL-DUPLICATE-PARM     PIC S9(9) BINARY VALUE 3066.
        10 MQRCCF-CFSL-TOTAL-LENGTH-ERROR PIC S9(9) BINARY VALUE 3067.
        10 MQRCCF-CFSL-COUNT-ERROR        PIC S9(9) BINARY VALUE 3068.
        10 MQRCCF-CFSL-STRING-LENGTH-ERR  PIC S9(9) BINARY VALUE 3069.
        10 MQRCCF-BROKER-DELETED          PIC S9(9) BINARY VALUE 3070.
        10 MQRCCF-STREAM-ERROR            PIC S9(9) BINARY VALUE 3071.
        10 MQRCCF-TOPIC-ERROR             PIC S9(9) BINARY VALUE 3072.
        10 MQRCCF-NOT-REGISTERED          PIC S9(9) BINARY VALUE 3073.
        10 MQRCCF-Q-MGR-NAME-ERROR        PIC S9(9) BINARY VALUE 3074.
        10 MQRCCF-INCORRECT-STREAM        PIC S9(9) BINARY VALUE 3075.
        10 MQRCCF-Q-NAME-ERROR            PIC S9(9) BINARY VALUE 3076.
        10 MQRCCF-NO-RETAINED-MSG         PIC S9(9) BINARY VALUE 3077.
        10 MQRCCF-DUPLICATE-IDENTITY      PIC S9(9) BINARY VALUE 3078.
        10 MQRCCF-INCORRECT-Q             PIC S9(9) BINARY VALUE 3079.
        10 MQRCCF-CORREL-ID-ERROR         PIC S9(9) BINARY VALUE 3080.
        10 MQRCCF-NOT-AUTHORIZED          PIC S9(9) BINARY VALUE 3081.
        10 MQRCCF-UNKNOWN-STREAM          PIC S9(9) BINARY VALUE 3082.
        10 MQRCCF-REG-OPTIONS-ERROR       PIC S9(9) BINARY VALUE 3083.
        10 MQRCCF-PUB-OPTIONS-ERROR       PIC S9(9) BINARY VALUE 3084.
        10 MQRCCF-UNKNOWN-BROKER          PIC S9(9) BINARY VALUE 3085.
        10 MQRCCF-Q-MGR-CCSID-ERROR       PIC S9(9) BINARY VALUE 3086.
        10 MQRCCF-DEL-OPTIONS-ERROR       PIC S9(9) BINARY VALUE 3087.
        10 MQRCCF-CLUSTER-NAME-CONFLICT   PIC S9(9) BINARY VALUE 3088.
        10 MQRCCF-REPOS-NAME-CONFLICT     PIC S9(9) BINARY VALUE 3089.
        10 MQRCCF-CLUSTER-Q-USAGE-ERROR   PIC S9(9) BINARY VALUE 3090.
        10 MQRCCF-ACTION-VALUE-ERROR      PIC S9(9) BINARY VALUE 3091.
        10 MQRCCF-COMMS-LIBRARY-ERROR     PIC S9(9) BINARY VALUE 3092.
        10 MQRCCF-NETBIOS-NAME-ERROR      PIC S9(9) BINARY VALUE 3093.
        10 MQRCCF-BROKER-COMMAND-FAILED   PIC S9(9) BINARY VALUE 3094.
        10 MQRCCF-CFST-CONFLICTING-PARM   PIC S9(9) BINARY VALUE 3095.
        10 MQRCCF-FILTER-ERROR            PIC S9(9) BINARY VALUE 3150.
        10 MQRCCF-WRONG-USER              PIC S9(9) BINARY VALUE 3151.
        10 MQRCCF-DUPLICATE-SUBSCRIPTION  PIC S9(9) BINARY VALUE 3152.
        10 MQRCCF-SUB-NAME-ERROR          PIC S9(9) BINARY VALUE 3153.
        10 MQRCCF-SUB-IDENTITY-ERROR      PIC S9(9) BINARY VALUE 3154.
        10 MQRCCF-SUBSCRIPTION-IN-USE     PIC S9(9) BINARY VALUE 3155.
        10 MQRCCF-SUBSCRIPTION-LOCKED     PIC S9(9) BINARY VALUE 3156.
        10 MQRCCF-ALREADY-JOINED          PIC S9(9) BINARY VALUE 3157.
        10 MQRCCF-OBJECT-ALREADY-EXISTS   PIC S9(9) BINARY VALUE 4001.
        10 MQRCCF-OBJECT-WRONG-TYPE       PIC S9(9) BINARY VALUE 4002.
        10 MQRCCF-LIKE-OBJECT-WRONG-TYPE  PIC S9(9) BINARY VALUE 4003.
        10 MQRCCF-OBJECT-OPEN             PIC S9(9) BINARY VALUE 4004.
        10 MQRCCF-ATTR-VALUE-ERROR        PIC S9(9) BINARY VALUE 4005.
        10 MQRCCF-UNKNOWN-Q-MGR           PIC S9(9) BINARY VALUE 4006.
        10 MQRCCF-Q-WRONG-TYPE            PIC S9(9) BINARY VALUE 4007.
        10 MQRCCF-OBJECT-NAME-ERROR       PIC S9(9) BINARY VALUE 4008.
        10 MQRCCF-ALLOCATE-FAILED         PIC S9(9) BINARY VALUE 4009.
        10 MQRCCF-HOST-NOT-AVAILABLE      PIC S9(9) BINARY VALUE 4010.
        10 MQRCCF-CONFIGURATION-ERROR     PIC S9(9) BINARY VALUE 4011.
        10 MQRCCF-CONNECTION-REFUSED      PIC S9(9) BINARY VALUE 4012.
        10 MQRCCF-ENTRY-ERROR             PIC S9(9) BINARY VALUE 4013.
        10 MQRCCF-SEND-FAILED             PIC S9(9) BINARY VALUE 4014.
        10 MQRCCF-RECEIVED-DATA-ERROR     PIC S9(9) BINARY VALUE 4015.
        10 MQRCCF-RECEIVE-FAILED          PIC S9(9) BINARY VALUE 4016.
        10 MQRCCF-CONNECTION-CLOSED       PIC S9(9) BINARY VALUE 4017.
        10 MQRCCF-NO-STORAGE              PIC S9(9) BINARY VALUE 4018.
        10 MQRCCF-NO-COMMS-MANAGER        PIC S9(9) BINARY VALUE 4019.
        10 MQRCCF-LISTENER-NOT-STARTED    PIC S9(9) BINARY VALUE 4020.
        10 MQRCCF-BIND-FAILED             PIC S9(9) BINARY VALUE 4024.
        10 MQRCCF-CHANNEL-INDOUBT         PIC S9(9) BINARY VALUE 4025.
        10 MQRCCF-MQCONN-FAILED           PIC S9(9) BINARY VALUE 4026.
        10 MQRCCF-MQOPEN-FAILED           PIC S9(9) BINARY VALUE 4027.
        10 MQRCCF-MQGET-FAILED            PIC S9(9) BINARY VALUE 4028.
        10 MQRCCF-MQPUT-FAILED            PIC S9(9) BINARY VALUE 4029.
        10 MQRCCF-PING-ERROR              PIC S9(9) BINARY VALUE 4030.
        10 MQRCCF-CHANNEL-IN-USE          PIC S9(9) BINARY VALUE 4031.
        10 MQRCCF-CHANNEL-NOT-FOUND       PIC S9(9) BINARY VALUE 4032.
        10 MQRCCF-UNKNOWN-REMOTE-CHANNEL  PIC S9(9) BINARY VALUE 4033.
        10 MQRCCF-REMOTE-QM-UNAVAILABLE   PIC S9(9) BINARY VALUE 4034.
        10 MQRCCF-REMOTE-QM-TERMINATING   PIC S9(9) BINARY VALUE 4035.
        10 MQRCCF-MQINQ-FAILED            PIC S9(9) BINARY VALUE 4036.
        10 MQRCCF-NOT-XMIT-Q              PIC S9(9) BINARY VALUE 4037.
        10 MQRCCF-CHANNEL-DISABLED        PIC S9(9) BINARY VALUE 4038.
        10 MQRCCF-USER-EXIT-NOT-AVAILABLE PIC S9(9) BINARY VALUE 4039.
        10 MQRCCF-COMMIT-FAILED           PIC S9(9) BINARY VALUE 4040.
        10 MQRCCF-WRONG-CHANNEL-TYPE      PIC S9(9) BINARY VALUE 4041.
        10 MQRCCF-CHANNEL-ALREADY-EXISTS  PIC S9(9) BINARY VALUE 4042.
        10 MQRCCF-DATA-TOO-LARGE          PIC S9(9) BINARY VALUE 4043.
        10 MQRCCF-CHANNEL-NAME-ERROR      PIC S9(9) BINARY VALUE 4044.
        10 MQRCCF-XMIT-Q-NAME-ERROR       PIC S9(9) BINARY VALUE 4045.
        10 MQRCCF-MCA-NAME-ERROR          PIC S9(9) BINARY VALUE 4047.
        10 MQRCCF-SEND-EXIT-NAME-ERROR    PIC S9(9) BINARY VALUE 4048.
        10 MQRCCF-SEC-EXIT-NAME-ERROR     PIC S9(9) BINARY VALUE 4049.
        10 MQRCCF-MSG-EXIT-NAME-ERROR     PIC S9(9) BINARY VALUE 4050.
        10 MQRCCF-RCV-EXIT-NAME-ERROR     PIC S9(9) BINARY VALUE 4051.
        10 MQRCCF-XMIT-Q-NAME-WRONG-TYPE  PIC S9(9) BINARY VALUE 4052.
        10 MQRCCF-MCA-NAME-WRONG-TYPE     PIC S9(9) BINARY VALUE 4053.
        10 MQRCCF-DISC-INT-WRONG-TYPE     PIC S9(9) BINARY VALUE 4054.
        10 MQRCCF-SHORT-RETRY-WRONG-TYPE  PIC S9(9) BINARY VALUE 4055.
        10 MQRCCF-SHORT-TIMER-WRONG-TYPE  PIC S9(9) BINARY VALUE 4056.
        10 MQRCCF-LONG-RETRY-WRONG-TYPE   PIC S9(9) BINARY VALUE 4057.
        10 MQRCCF-LONG-TIMER-WRONG-TYPE   PIC S9(9) BINARY VALUE 4058.
        10 MQRCCF-PUT-AUTH-WRONG-TYPE     PIC S9(9) BINARY VALUE 4059.
        10 MQRCCF-KEEP-ALIVE-INT-ERROR    PIC S9(9) BINARY VALUE 4060.
        10 MQRCCF-MISSING-CONN-NAME       PIC S9(9) BINARY VALUE 4061.
        10 MQRCCF-CONN-NAME-ERROR         PIC S9(9) BINARY VALUE 4062.
        10 MQRCCF-MQSET-FAILED            PIC S9(9) BINARY VALUE 4063.
        10 MQRCCF-CHANNEL-NOT-ACTIVE      PIC S9(9) BINARY VALUE 4064.
        10 MQRCCF-TERMINATED-BY-SEC-EXIT  PIC S9(9) BINARY VALUE 4065.
        10 MQRCCF-DYNAMIC-Q-SCOPE-ERROR   PIC S9(9) BINARY VALUE 4067.
        10 MQRCCF-CELL-DIR-NOT-AVAILABLE  PIC S9(9) BINARY VALUE 4068.
        10 MQRCCF-MR-COUNT-ERROR          PIC S9(9) BINARY VALUE 4069.
        10 MQRCCF-MR-COUNT-WRONG-TYPE     PIC S9(9) BINARY VALUE 4070.
        10 MQRCCF-MR-EXIT-NAME-ERROR      PIC S9(9) BINARY VALUE 4071.
        10 MQRCCF-MR-EXIT-NAME-WRONG-TYPE PIC S9(9) BINARY VALUE 4072.
        10 MQRCCF-MR-INTERVAL-ERROR       PIC S9(9) BINARY VALUE 4073.
        10 MQRCCF-MR-INTERVAL-WRONG-TYPE  PIC S9(9) BINARY VALUE 4074.
        10 MQRCCF-NPM-SPEED-ERROR         PIC S9(9) BINARY VALUE 4075.
        10 MQRCCF-NPM-SPEED-WRONG-TYPE    PIC S9(9) BINARY VALUE 4076.
        10 MQRCCF-HB-INTERVAL-ERROR       PIC S9(9) BINARY VALUE 4077.
        10 MQRCCF-HB-INTERVAL-WRONG-TYPE  PIC S9(9) BINARY VALUE 4078.
        10 MQRCCF-CHAD-ERROR              PIC S9(9) BINARY VALUE 4079.
        10 MQRCCF-CHAD-WRONG-TYPE         PIC S9(9) BINARY VALUE 4080.
        10 MQRCCF-CHAD-EVENT-ERROR        PIC S9(9) BINARY VALUE 4081.
        10 MQRCCF-CHAD-EVENT-WRONG-TYPE   PIC S9(9) BINARY VALUE 4082.
        10 MQRCCF-CHAD-EXIT-ERROR         PIC S9(9) BINARY VALUE 4083.
        10 MQRCCF-CHAD-EXIT-WRONG-TYPE    PIC S9(9) BINARY VALUE 4084.
        10 MQRCCF-SUPPRESSED-BY-EXIT      PIC S9(9) BINARY VALUE 4085.
        10 MQRCCF-BATCH-INT-ERROR         PIC S9(9) BINARY VALUE 4086.
        10 MQRCCF-BATCH-INT-WRONG-TYPE    PIC S9(9) BINARY VALUE 4087.
        10 MQRCCF-NET-PRIORITY-ERROR      PIC S9(9) BINARY VALUE 4088.
        10 MQRCCF-NET-PRIORITY-WRONG-TYPE PIC S9(9) BINARY VALUE 4089.
        10 MQRCCF-CHANNEL-CLOSED          PIC S9(9) BINARY VALUE 4090.
        10 MQRCCF-Q-STATUS-NOT-FOUND      PIC S9(9) BINARY VALUE 4091.
        10 MQRCCF-SSL-CIPHER-SPEC-ERROR   PIC S9(9) BINARY VALUE 4092.
        10 MQRCCF-SSL-PEER-NAME-ERROR     PIC S9(9) BINARY VALUE 4093.
        10 MQRCCF-SSL-CLIENT-AUTH-ERROR   PIC S9(9) BINARY VALUE 4094.
 
 
      ******************************************************************
      **  Values Related to MQCFBS Structure                          **
      ******************************************************************
 
      **   Structure Length (Fixed Part)
        10 MQCFBS-STRUC-LENGTH-FIXED PIC S9(9) BINARY VALUE 16.
 
 
      ******************************************************************
      **  Values Related to MQCFIL Structure                          **
      ******************************************************************
 
      **   Structure Length (Fixed Part)
        10 MQCFIL-STRUC-LENGTH-FIXED PIC S9(9) BINARY VALUE 16.
 
 
      ******************************************************************
      **  Values Related to MQCFIN Structure                          **
      ******************************************************************
 
      **   Structure Length
        10 MQCFIN-STRUC-LENGTH PIC S9(9) BINARY VALUE 16.
 
 
      ******************************************************************
      **  Values Related to MQCFSL Structure                          **
      ******************************************************************
 
      **   Structure Length (Fixed Part)
        10 MQCFSL-STRUC-LENGTH-FIXED PIC S9(9) BINARY VALUE 24.
 
 
      ******************************************************************
      **  Values Related to MQCFST Structure                          **
      ******************************************************************
 
      **   Structure Length (Fixed Part)
        10 MQCFST-STRUC-LENGTH-FIXED PIC S9(9) BINARY VALUE 20.
 
 
      ******************************************************************
      **  Values Related to All Structures                            **
      ******************************************************************
 
      **   Structure Type
        10 MQCFT-COMMAND      PIC S9(9) BINARY VALUE 1.
        10 MQCFT-RESPONSE     PIC S9(9) BINARY VALUE 2.
        10 MQCFT-INTEGER      PIC S9(9) BINARY VALUE 3.
        10 MQCFT-STRING       PIC S9(9) BINARY VALUE 4.
        10 MQCFT-INTEGER-LIST PIC S9(9) BINARY VALUE 5.
        10 MQCFT-STRING-LIST  PIC S9(9) BINARY VALUE 6.
        10 MQCFT-EVENT        PIC S9(9) BINARY VALUE 7.
        10 MQCFT-USER         PIC S9(9) BINARY VALUE 8.
        10 MQCFT-BYTE-STRING  PIC S9(9) BINARY VALUE 9.
 
 
      ******************************************************************
      **  Values Related to Byte Parameter Structures                 **
      ******************************************************************
 
      **   Byte Parameter Types
        10 MQBACF-FIRST                  PIC S9(9) BINARY VALUE 7001.
        10 MQBACF-EVENT-ACCOUNTING-TOKEN PIC S9(9) BINARY VALUE 7001.
        10 MQBACF-EVENT-SECURITY-ID      PIC S9(9) BINARY VALUE 7002.
        10 MQBACF-LAST-USED              PIC S9(9) BINARY VALUE 7002.
 
 
      ******************************************************************
      **  Values Related to Integer Parameter Structures              **
      ******************************************************************
 
      **   Integer Parameter Types
        10 MQIACF-FIRST                 PIC S9(9) BINARY VALUE 1001.
        10 MQIACF-Q-MGR-ATTRS           PIC S9(9) BINARY VALUE 1001.
        10 MQIACF-Q-ATTRS               PIC S9(9) BINARY VALUE 1002.
        10 MQIACF-PROCESS-ATTRS         PIC S9(9) BINARY VALUE 1003.
        10 MQIACF-NAMELIST-ATTRS        PIC S9(9) BINARY VALUE 1004.
        10 MQIACF-FORCE                 PIC S9(9) BINARY VALUE 1005.
        10 MQIACF-REPLACE               PIC S9(9) BINARY VALUE 1006.
        10 MQIACF-PURGE                 PIC S9(9) BINARY VALUE 1007.
        10 MQIACF-QUIESCE               PIC S9(9) BINARY VALUE 1008.
        10 MQIACF-MODE                  PIC S9(9) BINARY VALUE 1008.
        10 MQIACF-ALL                   PIC S9(9) BINARY VALUE 1009.
        10 MQIACF-EVENT-APPL-TYPE       PIC S9(9) BINARY VALUE 1010.
        10 MQIACF-EVENT-ORIGIN          PIC S9(9) BINARY VALUE 1011.
        10 MQIACF-PARAMETER-ID          PIC S9(9) BINARY VALUE 1012.
        10 MQIACF-ERROR-ID              PIC S9(9) BINARY VALUE 1013.
        10 MQIACF-ERROR-IDENTIFIER      PIC S9(9) BINARY VALUE 1013.
        10 MQIACF-SELECTOR              PIC S9(9) BINARY VALUE 1014.
        10 MQIACF-CHANNEL-ATTRS         PIC S9(9) BINARY VALUE 1015.
        10 MQIACF-OBJECT-TYPE           PIC S9(9) BINARY VALUE 1016.
        10 MQIACF-ESCAPE-TYPE           PIC S9(9) BINARY VALUE 1017.
        10 MQIACF-ERROR-OFFSET          PIC S9(9) BINARY VALUE 1018.
        10 MQIACF-AUTH-INFO-ATTRS       PIC S9(9) BINARY VALUE 1019.
        10 MQIACF-REASON-QUALIFIER      PIC S9(9) BINARY VALUE 1020.
        10 MQIACF-COMMAND               PIC S9(9) BINARY VALUE 1021.
        10 MQIACF-OPEN-OPTIONS          PIC S9(9) BINARY VALUE 1022.
        10 MQIACF-OPEN-TYPE             PIC S9(9) BINARY VALUE 1023.
        10 MQIACF-PROCESS-ID            PIC S9(9) BINARY VALUE 1024.
        10 MQIACF-THREAD-ID             PIC S9(9) BINARY VALUE 1025.
        10 MQIACF-Q-STATUS-ATTRS        PIC S9(9) BINARY VALUE 1026.
        10 MQIACF-UNCOMMITTED-MSGS      PIC S9(9) BINARY VALUE 1027.
        10 MQIACF-AUX-ERROR-DATA-INT-1  PIC S9(9) BINARY VALUE 1070.
        10 MQIACF-AUX-ERROR-DATA-INT-2  PIC S9(9) BINARY VALUE 1071.
        10 MQIACF-CONV-REASON-CODE      PIC S9(9) BINARY VALUE 1072.
        10 MQIACF-BRIDGE-TYPE           PIC S9(9) BINARY VALUE 1073.
        10 MQIACF-INQUIRY               PIC S9(9) BINARY VALUE 1074.
        10 MQIACF-WAIT-INTERVAL         PIC S9(9) BINARY VALUE 1075.
        10 MQIACF-OPTIONS               PIC S9(9) BINARY VALUE 1076.
        10 MQIACF-BROKER-OPTIONS        PIC S9(9) BINARY VALUE 1077.
        10 MQIACF-SEQUENCE-NUMBER       PIC S9(9) BINARY VALUE 1079.
        10 MQIACF-INTEGER-DATA          PIC S9(9) BINARY VALUE 1080.
        10 MQIACF-REGISTRATION-OPTIONS  PIC S9(9) BINARY VALUE 1081.
        10 MQIACF-PUBLICATION-OPTIONS   PIC S9(9) BINARY VALUE 1082.
        10 MQIACF-CLUSTER-INFO          PIC S9(9) BINARY VALUE 1083.
        10 MQIACF-Q-MGR-DEFINITION-TYPE PIC S9(9) BINARY VALUE 1084.
        10 MQIACF-Q-MGR-TYPE            PIC S9(9) BINARY VALUE 1085.
        10 MQIACF-ACTION                PIC S9(9) BINARY VALUE 1086.
        10 MQIACF-SUSPEND               PIC S9(9) BINARY VALUE 1087.
        10 MQIACF-BROKER-COUNT          PIC S9(9) BINARY VALUE 1088.
        10 MQIACF-APPL-COUNT            PIC S9(9) BINARY VALUE 1089.
        10 MQIACF-ANONYMOUS-COUNT       PIC S9(9) BINARY VALUE 1090.
        10 MQIACF-REG-REG-OPTIONS       PIC S9(9) BINARY VALUE 1091.
        10 MQIACF-DELETE-OPTIONS        PIC S9(9) BINARY VALUE 1092.
        10 MQIACF-CLUSTER-Q-MGR-ATTRS   PIC S9(9) BINARY VALUE 1093.
        10 MQIACF-REFRESH-REPOSITORY    PIC S9(9) BINARY VALUE 1095.
        10 MQIACF-REMOVE-QUEUES         PIC S9(9) BINARY VALUE 1096.
        10 MQIACF-OPEN-INPUT-TYPE       PIC S9(9) BINARY VALUE 1098.
        10 MQIACF-OPEN-OUTPUT           PIC S9(9) BINARY VALUE 1099.
        10 MQIACF-OPEN-SET              PIC S9(9) BINARY VALUE 1100.
        10 MQIACF-OPEN-INQUIRE          PIC S9(9) BINARY VALUE 1101.
        10 MQIACF-OPEN-BROWSE           PIC S9(9) BINARY VALUE 1102.
        10 MQIACF-Q-STATUS-TYPE         PIC S9(9) BINARY VALUE 1103.
        10 MQIACF-Q-HANDLE              PIC S9(9) BINARY VALUE 1104.
        10 MQIACF-Q-STATUS              PIC S9(9) BINARY VALUE 1105.
        10 MQIACF-LAST-USED             PIC S9(9) BINARY VALUE 1105.
 
        10 MQIACH-FIRST                   PIC S9(9) BINARY VALUE 1501.
        10 MQIACH-XMIT-PROTOCOL-TYPE      PIC S9(9) BINARY VALUE 1501.
        10 MQIACH-BATCH-SIZE              PIC S9(9) BINARY VALUE 1502.
        10 MQIACH-DISC-INTERVAL           PIC S9(9) BINARY VALUE 1503.
        10 MQIACH-SHORT-TIMER             PIC S9(9) BINARY VALUE 1504.
        10 MQIACH-SHORT-RETRY             PIC S9(9) BINARY VALUE 1505.
        10 MQIACH-LONG-TIMER              PIC S9(9) BINARY VALUE 1506.
        10 MQIACH-LONG-RETRY              PIC S9(9) BINARY VALUE 1507.
        10 MQIACH-PUT-AUTHORITY           PIC S9(9) BINARY VALUE 1508.
        10 MQIACH-SEQUENCE-NUMBER-WRAP    PIC S9(9) BINARY VALUE 1509.
        10 MQIACH-MAX-MSG-LENGTH          PIC S9(9) BINARY VALUE 1510.
        10 MQIACH-CHANNEL-TYPE            PIC S9(9) BINARY VALUE 1511.
        10 MQIACH-DATA-COUNT              PIC S9(9) BINARY VALUE 1512.
        10 MQIACH-MSG-SEQUENCE-NUMBER     PIC S9(9) BINARY VALUE 1514.
        10 MQIACH-DATA-CONVERSION         PIC S9(9) BINARY VALUE 1515.
        10 MQIACH-IN-DOUBT                PIC S9(9) BINARY VALUE 1516.
        10 MQIACH-MCA-TYPE                PIC S9(9) BINARY VALUE 1517.
        10 MQIACH-CHANNEL-INSTANCE-TYPE   PIC S9(9) BINARY VALUE 1523.
        10 MQIACH-CHANNEL-INSTANCE-ATTRS  PIC S9(9) BINARY VALUE 1524.
        10 MQIACH-CHANNEL-ERROR-DATA      PIC S9(9) BINARY VALUE 1525.
        10 MQIACH-CHANNEL-TABLE           PIC S9(9) BINARY VALUE 1526.
        10 MQIACH-CHANNEL-STATUS          PIC S9(9) BINARY VALUE 1527.
        10 MQIACH-INDOUBT-STATUS          PIC S9(9) BINARY VALUE 1528.
        10 MQIACH-LAST-SEQ-NUMBER         PIC S9(9) BINARY VALUE 1529.
        10 MQIACH-LAST-SEQUENCE-NUMBER    PIC S9(9) BINARY VALUE 1529.
        10 MQIACH-CURRENT-MSGS            PIC S9(9) BINARY VALUE 1531.
        10 MQIACH-CURRENT-SEQ-NUMBER      PIC S9(9) BINARY VALUE 1532.
        10 MQIACH-CURRENT-SEQUENCE-NUMBER PIC S9(9) BINARY VALUE 1532.
        10 MQIACH-SSL-RETURN-CODE         PIC S9(9) BINARY VALUE 1533.
        10 MQIACH-MSGS                    PIC S9(9) BINARY VALUE 1534.
        10 MQIACH-BYTES-SENT              PIC S9(9) BINARY VALUE 1535.
        10 MQIACH-BYTES-RCVD              PIC S9(9) BINARY VALUE 1536.
        10 MQIACH-BYTES-RECEIVED          PIC S9(9) BINARY VALUE 1536.
        10 MQIACH-BATCHES                 PIC S9(9) BINARY VALUE 1537.
        10 MQIACH-BUFFERS-SENT            PIC S9(9) BINARY VALUE 1538.
        10 MQIACH-BUFFERS-RCVD            PIC S9(9) BINARY VALUE 1539.
        10 MQIACH-BUFFERS-RECEIVED        PIC S9(9) BINARY VALUE 1539.
        10 MQIACH-LONG-RETRIES-LEFT       PIC S9(9) BINARY VALUE 1540.
        10 MQIACH-SHORT-RETRIES-LEFT      PIC S9(9) BINARY VALUE 1541.
        10 MQIACH-MCA-STATUS              PIC S9(9) BINARY VALUE 1542.
        10 MQIACH-STOP-REQUESTED          PIC S9(9) BINARY VALUE 1543.
        10 MQIACH-MR-COUNT                PIC S9(9) BINARY VALUE 1544.
        10 MQIACH-MR-INTERVAL             PIC S9(9) BINARY VALUE 1545.
        10 MQIACH-NPM-SPEED               PIC S9(9) BINARY VALUE 1562.
        10 MQIACH-HB-INTERVAL             PIC S9(9) BINARY VALUE 1563.
        10 MQIACH-BATCH-INTERVAL          PIC S9(9) BINARY VALUE 1564.
        10 MQIACH-NETWORK-PRIORITY        PIC S9(9) BINARY VALUE 1565.
        10 MQIACH-KEEP-ALIVE-INTERVAL     PIC S9(9) BINARY VALUE 1566.
        10 MQIACH-BATCH-HB                PIC S9(9) BINARY VALUE 1567.
        10 MQIACH-SSL-CLIENT-AUTH         PIC S9(9) BINARY VALUE 1568.
        10 MQIACH-LAST-USED               PIC S9(9) BINARY VALUE 1568.
 
 
      ******************************************************************
      **  Values Related to Character Parameter Structures            **
      ******************************************************************
 
      **   Character Parameter Types
        10 MQCACF-FIRST                   PIC S9(9) BINARY VALUE 3001.
        10 MQCACF-FROM-Q-NAME             PIC S9(9) BINARY VALUE 3001.
        10 MQCACF-TO-Q-NAME               PIC S9(9) BINARY VALUE 3002.
        10 MQCACF-FROM-PROCESS-NAME       PIC S9(9) BINARY VALUE 3003.
        10 MQCACF-TO-PROCESS-NAME         PIC S9(9) BINARY VALUE 3004.
        10 MQCACF-FROM-NAMELIST-NAME      PIC S9(9) BINARY VALUE 3005.
        10 MQCACF-TO-NAMELIST-NAME        PIC S9(9) BINARY VALUE 3006.
        10 MQCACF-FROM-CHANNEL-NAME       PIC S9(9) BINARY VALUE 3007.
        10 MQCACF-TO-CHANNEL-NAME         PIC S9(9) BINARY VALUE 3008.
        10 MQCACF-FROM-AUTH-INFO-NAME     PIC S9(9) BINARY VALUE 3009.
        10 MQCACF-TO-AUTH-INFO-NAME       PIC S9(9) BINARY VALUE 3010.
        10 MQCACF-Q-NAMES                 PIC S9(9) BINARY VALUE 3011.
        10 MQCACF-PROCESS-NAMES           PIC S9(9) BINARY VALUE 3012.
        10 MQCACF-NAMELIST-NAMES          PIC S9(9) BINARY VALUE 3013.
        10 MQCACF-ESCAPE-TEXT             PIC S9(9) BINARY VALUE 3014.
        10 MQCACF-LOCAL-Q-NAMES           PIC S9(9) BINARY VALUE 3015.
        10 MQCACF-MODEL-Q-NAMES           PIC S9(9) BINARY VALUE 3016.
        10 MQCACF-ALIAS-Q-NAMES           PIC S9(9) BINARY VALUE 3017.
        10 MQCACF-REMOTE-Q-NAMES          PIC S9(9) BINARY VALUE 3018.
        10 MQCACF-SENDER-CHANNEL-NAMES    PIC S9(9) BINARY VALUE 3019.
        10 MQCACF-SERVER-CHANNEL-NAMES    PIC S9(9) BINARY VALUE 3020.
        10 MQCACF-REQUESTER-CHANNEL-NAMES PIC S9(9) BINARY VALUE 3021.
        10 MQCACF-RECEIVER-CHANNEL-NAMES  PIC S9(9) BINARY VALUE 3022.
        10 MQCACF-OBJECT-Q-MGR-NAME       PIC S9(9) BINARY VALUE 3023.
        10 MQCACF-APPL-NAME               PIC S9(9) BINARY VALUE 3024.
        10 MQCACF-USER-IDENTIFIER         PIC S9(9) BINARY VALUE 3025.
        10 MQCACF-AUX-ERROR-DATA-STR-1    PIC S9(9) BINARY VALUE 3026.
        10 MQCACF-AUX-ERROR-DATA-STR-2    PIC S9(9) BINARY VALUE 3027.
        10 MQCACF-AUX-ERROR-DATA-STR-3    PIC S9(9) BINARY VALUE 3028.
        10 MQCACF-BRIDGE-NAME             PIC S9(9) BINARY VALUE 3029.
        10 MQCACF-STREAM-NAME             PIC S9(9) BINARY VALUE 3030.
        10 MQCACF-TOPIC                   PIC S9(9) BINARY VALUE 3031.
        10 MQCACF-PARENT-Q-MGR-NAME       PIC S9(9) BINARY VALUE 3032.
        10 MQCACF-CORREL-ID               PIC S9(9) BINARY VALUE 3033.
        10 MQCACF-PUBLISH-TIMESTAMP       PIC S9(9) BINARY VALUE 3034.
        10 MQCACF-STRING-DATA             PIC S9(9) BINARY VALUE 3035.
        10 MQCACF-SUPPORTED-STREAM-NAME   PIC S9(9) BINARY VALUE 3036.
        10 MQCACF-REG-TOPIC               PIC S9(9) BINARY VALUE 3037.
        10 MQCACF-REG-TIME                PIC S9(9) BINARY VALUE 3038.
        10 MQCACF-REG-USER-ID             PIC S9(9) BINARY VALUE 3039.
        10 MQCACF-CHILD-Q-MGR-NAME        PIC S9(9) BINARY VALUE 3040.
        10 MQCACF-REG-STREAM-NAME         PIC S9(9) BINARY VALUE 3041.
        10 MQCACF-REG-Q-MGR-NAME          PIC S9(9) BINARY VALUE 3042.
        10 MQCACF-REG-Q-NAME              PIC S9(9) BINARY VALUE 3043.
        10 MQCACF-REG-CORREL-ID           PIC S9(9) BINARY VALUE 3044.
        10 MQCACF-EVENT-USER-ID           PIC S9(9) BINARY VALUE 3045.
        10 MQCACF-EVENT-Q-MGR             PIC S9(9) BINARY VALUE 3047.
        10 MQCACF-AUTH-INFO-NAMES         PIC S9(9) BINARY VALUE 3048.
        10 MQCACF-EVENT-APPL-IDENTITY     PIC S9(9) BINARY VALUE 3049.
        10 MQCACF-EVENT-APPL-NAME         PIC S9(9) BINARY VALUE 3050.
        10 MQCACF-EVENT-APPL-ORIGIN       PIC S9(9) BINARY VALUE 3051.
        10 MQCACF-SUBSCRIPTION-NAME       PIC S9(9) BINARY VALUE 3052.
        10 MQCACF-REG-SUB-NAME            PIC S9(9) BINARY VALUE 3053.
        10 MQCACF-SUBSCRIPTION-IDENTITY   PIC S9(9) BINARY VALUE 3054.
        10 MQCACF-REG-SUB-IDENTITY        PIC S9(9) BINARY VALUE 3055.
        10 MQCACF-SUBSCRIPTION-USER-DATA  PIC S9(9) BINARY VALUE 3056.
        10 MQCACF-REG-SUB-USER-DATA       PIC S9(9) BINARY VALUE 3057.
        10 MQCACF-APPL-TAG                PIC S9(9) BINARY VALUE 3058.
        10 MQCACF-LAST-USED               PIC S9(9) BINARY VALUE 3058.
 
        10 MQCACH-FIRST               PIC S9(9) BINARY VALUE 3501.
        10 MQCACH-CHANNEL-NAME        PIC S9(9) BINARY VALUE 3501.
        10 MQCACH-DESC                PIC S9(9) BINARY VALUE 3502.
        10 MQCACH-MODE-NAME           PIC S9(9) BINARY VALUE 3503.
        10 MQCACH-TP-NAME             PIC S9(9) BINARY VALUE 3504.
        10 MQCACH-XMIT-Q-NAME         PIC S9(9) BINARY VALUE 3505.
        10 MQCACH-CONNECTION-NAME     PIC S9(9) BINARY VALUE 3506.
        10 MQCACH-MCA-NAME            PIC S9(9) BINARY VALUE 3507.
        10 MQCACH-SEC-EXIT-NAME       PIC S9(9) BINARY VALUE 3508.
        10 MQCACH-MSG-EXIT-NAME       PIC S9(9) BINARY VALUE 3509.
        10 MQCACH-SEND-EXIT-NAME      PIC S9(9) BINARY VALUE 3510.
        10 MQCACH-RCV-EXIT-NAME       PIC S9(9) BINARY VALUE 3511.
        10 MQCACH-CHANNEL-NAMES       PIC S9(9) BINARY VALUE 3512.
        10 MQCACH-SEC-EXIT-USER-DATA  PIC S9(9) BINARY VALUE 3513.
        10 MQCACH-MSG-EXIT-USER-DATA  PIC S9(9) BINARY VALUE 3514.
        10 MQCACH-SEND-EXIT-USER-DATA PIC S9(9) BINARY VALUE 3515.
        10 MQCACH-RCV-EXIT-USER-DATA  PIC S9(9) BINARY VALUE 3516.
        10 MQCACH-USER-ID             PIC S9(9) BINARY VALUE 3517.
        10 MQCACH-PASSWORD            PIC S9(9) BINARY VALUE 3518.
        10 MQCACH-LOCAL-ADDRESS       PIC S9(9) BINARY VALUE 3520.
        10 MQCACH-LAST-MSG-TIME       PIC S9(9) BINARY VALUE 3524.
        10 MQCACH-LAST-MSG-DATE       PIC S9(9) BINARY VALUE 3525.
        10 MQCACH-MCA-USER-ID         PIC S9(9) BINARY VALUE 3527.
        10 MQCACH-CHANNEL-START-TIME  PIC S9(9) BINARY VALUE 3528.
        10 MQCACH-CHANNEL-START-DATE  PIC S9(9) BINARY VALUE 3529.
        10 MQCACH-MCA-JOB-NAME        PIC S9(9) BINARY VALUE 3530.
        10 MQCACH-LAST-LUWID          PIC S9(9) BINARY VALUE 3531.
        10 MQCACH-CURRENT-LUWID       PIC S9(9) BINARY VALUE 3532.
        10 MQCACH-FORMAT-NAME         PIC S9(9) BINARY VALUE 3533.
        10 MQCACH-MR-EXIT-NAME        PIC S9(9) BINARY VALUE 3534.
        10 MQCACH-MR-EXIT-USER-DATA   PIC S9(9) BINARY VALUE 3535.
        10 MQCACH-SSL-CIPHER-SPEC     PIC S9(9) BINARY VALUE 3544.
        10 MQCACH-SSL-PEER-NAME       PIC S9(9) BINARY VALUE 3545.
        10 MQCACH-SSL-HANDSHAKE-STAGE PIC S9(9) BINARY VALUE 3546.
        10 MQCACH-SSL-SHORT-PEER-NAME PIC S9(9) BINARY VALUE 3547.
        10 MQCACH-LAST-USED           PIC S9(9) BINARY VALUE 3547.
 
 
      ******************************************************************
      **  Parameter Values                                            **
      ******************************************************************
 
      **   Action Option
        10 MQACT-FORCE-REMOVE PIC S9(9) BINARY VALUE 1.
 
      **   Bridge Type
        10 MQBT-OTMA PIC S9(9) BINARY VALUE 1.
 
      **   Refresh Repository Option
        10 MQCFO-REFRESH-REPOSITORY-YES PIC S9(9) BINARY VALUE 1.
        10 MQCFO-REFRESH-REPOSITORY-NO  PIC S9(9) BINARY VALUE 0.
 
      **   Remove Queues Option
        10 MQCFO-REMOVE-QUEUES-YES PIC S9(9) BINARY VALUE 1.
        10 MQCFO-REMOVE-QUEUES-NO  PIC S9(9) BINARY VALUE 0.
 
      **   Indoubt Status
        10 MQCHIDS-NOT-INDOUBT PIC S9(9) BINARY VALUE 0.
        10 MQCHIDS-INDOUBT     PIC S9(9) BINARY VALUE 1.
 
      **   Channel Status
        10 MQCHS-INACTIVE     PIC S9(9) BINARY VALUE 0.
        10 MQCHS-BINDING      PIC S9(9) BINARY VALUE 1.
        10 MQCHS-STARTING     PIC S9(9) BINARY VALUE 2.
        10 MQCHS-RUNNING      PIC S9(9) BINARY VALUE 3.
        10 MQCHS-STOPPING     PIC S9(9) BINARY VALUE 4.
        10 MQCHS-RETRYING     PIC S9(9) BINARY VALUE 5.
        10 MQCHS-STOPPED      PIC S9(9) BINARY VALUE 6.
        10 MQCHS-REQUESTING   PIC S9(9) BINARY VALUE 7.
        10 MQCHS-PAUSED       PIC S9(9) BINARY VALUE 8.
        10 MQCHS-INITIALIZING PIC S9(9) BINARY VALUE 13.
 
      **   Channel Stop Option
        10 MQCHSR-STOP-NOT-REQUESTED PIC S9(9) BINARY VALUE 0.
        10 MQCHSR-STOP-REQUESTED     PIC S9(9) BINARY VALUE 1.
 
      **   Channel Table Type
        10 MQCHTAB-Q-MGR    PIC S9(9) BINARY VALUE 1.
        10 MQCHTAB-CLNTCONN PIC S9(9) BINARY VALUE 2.
 
      **   Coupling Facility Recoverability
        10 MQCFR-YES PIC S9(9) BINARY VALUE 1.
        10 MQCFR-NO  PIC S9(9) BINARY VALUE 0.
 
      **   Escape Type
        10 MQET-MQSC PIC S9(9) BINARY VALUE 1.
 
      **   Event Origin
        10 MQEVO-OTHER    PIC S9(9) BINARY VALUE 0.
        10 MQEVO-CONSOLE  PIC S9(9) BINARY VALUE 1.
        10 MQEVO-INIT     PIC S9(9) BINARY VALUE 2.
        10 MQEVO-MSG      PIC S9(9) BINARY VALUE 3.
        10 MQEVO-MQSET    PIC S9(9) BINARY VALUE 4.
        10 MQEVO-INTERNAL PIC S9(9) BINARY VALUE 5.
 
      **   Event Recording
        10 MQEVR-DISABLED PIC S9(9) BINARY VALUE 0.
        10 MQEVR-ENABLED  PIC S9(9) BINARY VALUE 1.
 
      **   Force Option
        10 MQFC-YES PIC S9(9) BINARY VALUE 1.
        10 MQFC-NO  PIC S9(9) BINARY VALUE 0.
 
      **   Indoubt Option
        10 MQIDO-COMMIT  PIC S9(9) BINARY VALUE 1.
        10 MQIDO-BACKOUT PIC S9(9) BINARY VALUE 2.
 
      **   Message Channel Agent Status
        10 MQMCAS-STOPPED PIC S9(9) BINARY VALUE 0.
        10 MQMCAS-RUNNING PIC S9(9) BINARY VALUE 3.
 
      **   Mode Option
        10 MQMODE-FORCE     PIC S9(9) BINARY VALUE 0.
        10 MQMODE-QUIESCE   PIC S9(9) BINARY VALUE 1.
        10 MQMODE-TERMINATE PIC S9(9) BINARY VALUE 2.
 
      **   Purge Option
        10 MQPO-YES PIC S9(9) BINARY VALUE 1.
        10 MQPO-NO  PIC S9(9) BINARY VALUE 0.
 
      **   Queue Manager Definition Type
        10 MQQMDT-EXPLICIT-CLUSTER-SENDER PIC S9(9) BINARY VALUE 1.
        10 MQQMDT-AUTO-CLUSTER-SENDER     PIC S9(9) BINARY VALUE 2.
        10 MQQMDT-AUTO-EXP-CLUSTER-SENDER PIC S9(9) BINARY VALUE 4.
        10 MQQMDT-CLUSTER-RECEIVER        PIC S9(9) BINARY VALUE 3.
 
      **   Queue Manager Type
        10 MQQMT-NORMAL     PIC S9(9) BINARY VALUE 0.
        10 MQQMT-REPOSITORY PIC S9(9) BINARY VALUE 1.
 
      **   Quiesce Option
        10 MQQO-YES PIC S9(9) BINARY VALUE 1.
        10 MQQO-NO  PIC S9(9) BINARY VALUE 0.
 
      **   Queue Service-Interval Events
        10 MQQSIE-NONE PIC S9(9) BINARY VALUE 0.
        10 MQQSIE-HIGH PIC S9(9) BINARY VALUE 1.
        10 MQQSIE-OK   PIC S9(9) BINARY VALUE 2.
 
      **   Queue Status Open Option
        10 MQQSOT-ALL    PIC S9(9) BINARY VALUE 1.
        10 MQQSOT-INPUT  PIC S9(9) BINARY VALUE 2.
        10 MQQSOT-OUTPUT PIC S9(9) BINARY VALUE 3.

       **   Queue Status Open Type
        10 MQQSO-NO        PIC S9(9) BINARY VALUE 0.
        10 MQQSO-YES       PIC S9(9) BINARY VALUE 1.
        10 MQQSO-SHARED    PIC S9(9) BINARY VALUE 1.
        10 MQQSO-EXCLUSIVE PIC S9(9) BINARY VALUE 2.
       
      **   Queue Status Uncommitted Messages
        10 MQQSUM-YES PIC S9(9) BINARY VALUE 1.
        10 MQQSUM-NO  PIC S9(9) BINARY VALUE 0.
 
      **   Replace Option
        10 MQRP-YES PIC S9(9) BINARY VALUE 1.
        10 MQRP-NO  PIC S9(9) BINARY VALUE 0.
 
      **   Reason Qualifiers
        10 MQRQ-CONN-NOT-AUTHORIZED      PIC S9(9) BINARY VALUE 1.
        10 MQRQ-OPEN-NOT-AUTHORIZED      PIC S9(9) BINARY VALUE 2.
        10 MQRQ-CLOSE-NOT-AUTHORIZED     PIC S9(9) BINARY VALUE 3.
        10 MQRQ-CMD-NOT-AUTHORIZED       PIC S9(9) BINARY VALUE 4.
        10 MQRQ-Q-MGR-STOPPING           PIC S9(9) BINARY VALUE 5.
        10 MQRQ-Q-MGR-QUIESCING          PIC S9(9) BINARY VALUE 6.
        10 MQRQ-CHANNEL-STOPPED-OK       PIC S9(9) BINARY VALUE 7.
        10 MQRQ-CHANNEL-STOPPED-ERROR    PIC S9(9) BINARY VALUE 8.
        10 MQRQ-CHANNEL-STOPPED-RETRY    PIC S9(9) BINARY VALUE 9.
        10 MQRQ-CHANNEL-STOPPED-DISABLED PIC S9(9) BINARY VALUE 10.
        10 MQRQ-BRIDGE-STOPPED-OK        PIC S9(9) BINARY VALUE 11.
        10 MQRQ-BRIDGE-STOPPED-ERROR     PIC S9(9) BINARY VALUE 12.
        10 MQRQ-SSL-HANDSHAKE-ERROR      PIC S9(9) BINARY VALUE 13.
        10 MQRQ-SSL-CIPHER-SPEC-ERROR    PIC S9(9) BINARY VALUE 14.
        10 MQRQ-SSL-CLIENT-AUTH-ERROR    PIC S9(9) BINARY VALUE 15.
        10 MQRQ-SSL-PEER-NAME-ERROR      PIC S9(9) BINARY VALUE 16.
 
      **   Queue Definition Scope
        10 MQSCO-Q-MGR PIC S9(9) BINARY VALUE 1.
        10 MQSCO-CELL  PIC S9(9) BINARY VALUE 2.
 
      **   Suspend Status
        10 MQSUS-YES PIC S9(9) BINARY VALUE 1.
        10 MQSUS-NO  PIC S9(9) BINARY VALUE 0.
 
 
      ******************************************************************
      **  Values Related to Publish/Subscribe                         **
      ******************************************************************
 
      **   Delete Options
        10 MQDELO-NONE  PIC S9(9) BINARY VALUE 0.
        10 MQDELO-LOCAL PIC S9(9) BINARY VALUE 4.
 
      **   Publication Options
        10 MQPUBO-NONE                    PIC S9(9) BINARY VALUE 0.
        10 MQPUBO-CORREL-ID-AS-IDENTITY   PIC S9(9) BINARY VALUE 1.
        10 MQPUBO-RETAIN-PUBLICATION      PIC S9(9) BINARY VALUE 2.
        10 MQPUBO-OTHER-SUBSCRIBERS-ONLY  PIC S9(9) BINARY VALUE 4.
        10 MQPUBO-NO-REGISTRATION         PIC S9(9) BINARY VALUE 8.
        10 MQPUBO-IS-RETAINED-PUBLICATION PIC S9(9) BINARY VALUE 16.
 
      **   Registration Options
        10 MQREGO-NONE                    PIC S9(9) BINARY VALUE 0.
        10 MQREGO-CORREL-ID-AS-IDENTITY   PIC S9(9) BINARY VALUE 1.
        10 MQREGO-ANONYMOUS               PIC S9(9) BINARY VALUE 2.
        10 MQREGO-LOCAL                   PIC S9(9) BINARY VALUE 4.
        10 MQREGO-DIRECT-REQUESTS         PIC S9(9) BINARY VALUE 8.
        10 MQREGO-NEW-PUBLICATIONS-ONLY   PIC S9(9) BINARY VALUE 16.
        10 MQREGO-PUBLISH-ON-REQUEST-ONLY PIC S9(9) BINARY VALUE 32.
        10 MQREGO-DEREGISTER-ALL          PIC S9(9) BINARY VALUE 64.
        10 MQREGO-INCLUDE-STREAM-NAME     PIC S9(9) BINARY VALUE 128.
        10 MQREGO-INFORM-IF-RETAINED      PIC S9(9) BINARY VALUE 256.
        10 MQREGO-DUPLICATES-OK           PIC S9(9) BINARY VALUE 512.
        10 MQREGO-NON-PERSISTENT          PIC S9(9) BINARY VALUE 1024.
        10 MQREGO-PERSISTENT              PIC S9(9) BINARY VALUE 2048.
        10 MQREGO-PERSISTENT-AS-PUBLISH   PIC S9(9) BINARY VALUE 4096.
        10 MQREGO-PERSISTENT-AS-Q         PIC S9(9) BINARY VALUE 8192.
        10 MQREGO-ADD-NAME                PIC S9(9) BINARY VALUE 16384.
        10 MQREGO-NO-ALTERATION           PIC S9(9) BINARY VALUE 32768.
        10 MQREGO-FULL-RESPONSE           PIC S9(9) BINARY VALUE 65536.
        10 MQREGO-JOIN-SHARED             PIC S9(9) BINARY VALUE 131072.
        10 MQREGO-JOIN-EXCLUSIVE          PIC S9(9) BINARY VALUE 262144.
        10 MQREGO-LEAVE-ONLY              PIC S9(9) BINARY VALUE 524288.
        10 MQREGO-VARIABLE-USER-ID        PIC S9(9) BINARY VALUE
                                                                1048576.
        10 MQREGO-LOCKED                  PIC S9(9) BINARY VALUE
                                                                2097152.
 
      **   User Attribute Selectors
        10 MQUA-FIRST PIC S9(9) BINARY VALUE 65536.
        10 MQUA-LAST  PIC S9(9) BINARY VALUE 999999999.
 
 
      ******************************************************************
      **  End of CMQCFV                                               **
      ******************************************************************
