      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQRMHV                                     **
      **                                                              **
      **  DESCRIPTION:    Reference Message Header Structure          **
      **                                                              **
      ******************************************************************
      **  <START_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-B41                                                    **
      **  (C) Copyright IBM Corp. 1997, 2002 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <END_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQRMH,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************
 
      **   MQRMH structure
        10 MQRMH.
      **    Structure identifier
         15 MQRMH-STRUCID            PIC X(4) VALUE 'RMH '.
      **    Structure version number
         15 MQRMH-VERSION            PIC S9(9) BINARY VALUE 1.
      **    Total length of MQRMH, including strings at end of fixed
      **    fields, but not the bulk data
         15 MQRMH-STRUCLENGTH        PIC S9(9) BINARY VALUE 0.
      **    Numeric encoding of bulk data
         15 MQRMH-ENCODING           PIC S9(9) BINARY VALUE 546.
      **    Character set identifier of bulk data
         15 MQRMH-CODEDCHARSETID     PIC S9(9) BINARY VALUE 0.
      **    Format name of bulk data
         15 MQRMH-FORMAT             PIC X(8) VALUE SPACES.
      **    Reference message flags
         15 MQRMH-FLAGS              PIC S9(9) BINARY VALUE 0.
      **    Object type
         15 MQRMH-OBJECTTYPE         PIC X(8) VALUE SPACES.
      **    Object instance identifier
         15 MQRMH-OBJECTINSTANCEID   PIC X(24) VALUE LOW-VALUES.
      **    Length of source environment data
         15 MQRMH-SRCENVLENGTH       PIC S9(9) BINARY VALUE 0.
      **    Offset of source environment data
         15 MQRMH-SRCENVOFFSET       PIC S9(9) BINARY VALUE 0.
      **    Length of source object name
         15 MQRMH-SRCNAMELENGTH      PIC S9(9) BINARY VALUE 0.
      **    Offset of source object name
         15 MQRMH-SRCNAMEOFFSET      PIC S9(9) BINARY VALUE 0.
      **    Length of destination environment data
         15 MQRMH-DESTENVLENGTH      PIC S9(9) BINARY VALUE 0.
      **    Offset of destination environment data
         15 MQRMH-DESTENVOFFSET      PIC S9(9) BINARY VALUE 0.
      **    Length of destination object name
         15 MQRMH-DESTNAMELENGTH     PIC S9(9) BINARY VALUE 0.
      **    Offset of destination object name
         15 MQRMH-DESTNAMEOFFSET     PIC S9(9) BINARY VALUE 0.
      **    Length of bulk data
         15 MQRMH-DATALOGICALLENGTH  PIC S9(9) BINARY VALUE 0.
      **    Low offset of bulk data
         15 MQRMH-DATALOGICALOFFSET  PIC S9(9) BINARY VALUE 0.
      **    High offset of bulk data
         15 MQRMH-DATALOGICALOFFSET2 PIC S9(9) BINARY VALUE 0.
 
      ******************************************************************
      **  End of CMQRMHV                                              **
      ******************************************************************
